Get Church Profile
curl --request GET \
--url https://api.thefaithapp.com/v1/church \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/church', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/church"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"church": {
"id": 2,
"name": "Monk House Maker",
"email": "emilyjanemdn@gmail.com",
"location": "4078 Poco Mas Drive",
"image": "https://d2c58p2vdu8kb2.cloudfront.net/clients/wcwOY98v6H9Aq4ag8vOnDXMgGXfyZyIJmRyBguj9.jpg",
"created_at": "2025-02-08T11:55:32.000000Z",
"updated_at": "2025-05-24T07:56:51.000000Z",
"about": "<p data-start=\"86\" data-end=\"423\"><strong data-start=\"86\" data-end=\"109\">Kingdom Life Church</strong> is a Christ-centered community passionate about worship, discipleship, and outreach. Located in the heart of the city, we welcome people from all walks of life to experience the love and grace of God. Our mission is to raise up faithful believers who impact their families, workplaces, and communities for Christ.</p>\n<p data-start=\"425\" data-end=\"872\">One of our core ministries is the <strong data-start=\"459\" data-end=\"482\">Compassion Ministry</strong>, which focuses on serving the practical needs of those around us. From monthly food drives and clothing donations to visiting the sick and supporting single-parent homes, this ministry is rooted in the belief that small acts of kindness can lead to life-changing encounters with God. Volunteers in this ministry are the hands and feet of Jesus, spreading hope and love throughout the city.</p>\n<p data-start=\"874\" data-end=\"1153\">Whether you're looking for a place to grow spiritually or a way to make a difference, the Compassion Ministry offers a meaningful way to serve. We invite anyone with a heart to help others to join us as we continue to be a light in our community, one act of compassion at a time.</p>",
"giving_link": "https://app.thefaithapp.com/give/11111111-2222-3333-4444-555555555555",
"prayer_request_link": "https://app.thefaithapp.com/prayer-requests/2",
"socials": {
"id": 1,
"client_id": 2,
"facebook": "www.facebook.com/monkhouse",
"instagram": "www.instagram.com/monk_house",
"twitter": "www.x.com/monkhouse_",
"youtube": "www.youtube.com/@mkhouse",
"tiktok": "www.tiktok.com/@mk2000",
"deleted_at": null,
"created_at": "2025-05-03T06:31:31.000000Z",
"updated_at": "2025-05-03T06:31:31.000000Z"
},
"branches": [
{
"id": 1,
"client_id": 2,
"name": "Reno Branch",
"location": "596 Sheila Lane Reno, NV 89501",
"pastor": "Katelyn C. Warne",
"contact": "+1 775-370-2016",
"created_at": "2025-05-03T06:32:50.000000Z",
"updated_at": "2025-05-03T06:32:50.000000Z",
"deleted_at": null
}
],
"gatherings": [
{
"id": 1,
"client_id": 2,
"gathering_type_id": 1,
"name": "First Service",
"day_of_week": "Sunday",
"start_time": "2025-05-24T10:00:00.000000Z",
"end_time": "2025-05-24T13:51:00.000000Z",
"description": "This is our first service",
"is_active": true,
"created_at": "2025-05-24T07:51:09.000000Z",
"updated_at": "2025-05-24T08:26:30.000000Z",
"deleted_at": null
}
]
}
}{
"error_message": "Unauthorized"
}{
"error": "Church not found"
}Churches
Get Church Profile
Returns the authenticated member’s church profile, social links, branches, gatherings, and hosted action URLs. Open church.giving_link for member giving.
GET
/
v1
/
church
Get Church Profile
curl --request GET \
--url https://api.thefaithapp.com/v1/church \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/church', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/church"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"church": {
"id": 2,
"name": "Monk House Maker",
"email": "emilyjanemdn@gmail.com",
"location": "4078 Poco Mas Drive",
"image": "https://d2c58p2vdu8kb2.cloudfront.net/clients/wcwOY98v6H9Aq4ag8vOnDXMgGXfyZyIJmRyBguj9.jpg",
"created_at": "2025-02-08T11:55:32.000000Z",
"updated_at": "2025-05-24T07:56:51.000000Z",
"about": "<p data-start=\"86\" data-end=\"423\"><strong data-start=\"86\" data-end=\"109\">Kingdom Life Church</strong> is a Christ-centered community passionate about worship, discipleship, and outreach. Located in the heart of the city, we welcome people from all walks of life to experience the love and grace of God. Our mission is to raise up faithful believers who impact their families, workplaces, and communities for Christ.</p>\n<p data-start=\"425\" data-end=\"872\">One of our core ministries is the <strong data-start=\"459\" data-end=\"482\">Compassion Ministry</strong>, which focuses on serving the practical needs of those around us. From monthly food drives and clothing donations to visiting the sick and supporting single-parent homes, this ministry is rooted in the belief that small acts of kindness can lead to life-changing encounters with God. Volunteers in this ministry are the hands and feet of Jesus, spreading hope and love throughout the city.</p>\n<p data-start=\"874\" data-end=\"1153\">Whether you're looking for a place to grow spiritually or a way to make a difference, the Compassion Ministry offers a meaningful way to serve. We invite anyone with a heart to help others to join us as we continue to be a light in our community, one act of compassion at a time.</p>",
"giving_link": "https://app.thefaithapp.com/give/11111111-2222-3333-4444-555555555555",
"prayer_request_link": "https://app.thefaithapp.com/prayer-requests/2",
"socials": {
"id": 1,
"client_id": 2,
"facebook": "www.facebook.com/monkhouse",
"instagram": "www.instagram.com/monk_house",
"twitter": "www.x.com/monkhouse_",
"youtube": "www.youtube.com/@mkhouse",
"tiktok": "www.tiktok.com/@mk2000",
"deleted_at": null,
"created_at": "2025-05-03T06:31:31.000000Z",
"updated_at": "2025-05-03T06:31:31.000000Z"
},
"branches": [
{
"id": 1,
"client_id": 2,
"name": "Reno Branch",
"location": "596 Sheila Lane Reno, NV 89501",
"pastor": "Katelyn C. Warne",
"contact": "+1 775-370-2016",
"created_at": "2025-05-03T06:32:50.000000Z",
"updated_at": "2025-05-03T06:32:50.000000Z",
"deleted_at": null
}
],
"gatherings": [
{
"id": 1,
"client_id": 2,
"gathering_type_id": 1,
"name": "First Service",
"day_of_week": "Sunday",
"start_time": "2025-05-24T10:00:00.000000Z",
"end_time": "2025-05-24T13:51:00.000000Z",
"description": "This is our first service",
"is_active": true,
"created_at": "2025-05-24T07:51:09.000000Z",
"updated_at": "2025-05-24T08:26:30.000000Z",
"deleted_at": null
}
]
}
}{
"error_message": "Unauthorized"
}{
"error": "Church not found"
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Response
Church profile information.
Church profile and hosted action URLs. Use the hosted links for flows that are not exposed as partner API operations.
Show child attributes
Show child attributes
Was this page helpful?
⌘I